Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.helpers
Class HeaderFooterHelper

    java.lang.Object
      org.apache.poi.xssf.usermodel.helpers.HeaderFooterHelper

    public class HeaderFooterHelper

extends java.lang.Object

Field Summary
`static java.lang.String` | `HeaderFooterEntity_Date`
`static java.lang.String` | `HeaderFooterEntity_File`
`static java.lang.String` | `HeaderFooterEntity_Time`

Constructor Summary
`HeaderFooterHelper()`

Method Summary
`java.lang.String` | `getCenterSection(java.lang.String string)`
`java.lang.String` | `getLeftSection(java.lang.String string)`
`java.lang.String` | `getRightSection(java.lang.String string)`
`java.lang.String` | `setCenterSection(java.lang.String string, java.lang.String newCenter)`
`java.lang.String` | `setLeftSection(java.lang.String string, java.lang.String newLeft)`
`java.lang.String` | `setRightSection(java.lang.String string, java.lang.String newRight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HeaderFooterEntity_File

    public static final java.lang.String HeaderFooterEntity_File

See Also:
  Constant Field Values

### HeaderFooterEntity_Date

    public static final java.lang.String HeaderFooterEntity_Date

See Also:
  Constant Field Values

### HeaderFooterEntity_Time

    public static final java.lang.String HeaderFooterEntity_Time

See Also:
  Constant Field Values

Constructor Detail

### HeaderFooterHelper

    public HeaderFooterHelper()

Method Detail

### getLeftSection

    public java.lang.String getLeftSection(java.lang.String string)

### getCenterSection

    public java.lang.String getCenterSection(java.lang.String string)

### getRightSection

    public java.lang.String getRightSection(java.lang.String string)

### setLeftSection

    public java.lang.String setLeftSection(java.lang.String string,
                                           java.lang.String newLeft)

### setCenterSection

    public java.lang.String setCenterSection(java.lang.String string,
                                             java.lang.String newCenter)

### setRightSection

    public java.lang.String setRightSection(java.lang.String string,
                                            java.lang.String newRight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.